'use strict';

/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/canvas.html
 */
var canvas = {
  PROPS: [{
    name: 'type',
    get: function get(domNode) {
      return domNode.getAttribute('type') || '';
    }
  }, {
    name: 'canvasId',
    get: function get(domNode) {
      return domNode.getAttribute('canvas-id') || '';
    }
  }, {
    name: 'disableScroll',
    get: function get(domNode) {
      return !!domNode.getAttribute('disable-scroll');
    }
  }],
  handles: {
    onCanvasLongTap: function onCanvasLongTap(evt) {
      this.callSimpleEvent('longtap', evt);
    },
    onCanvasError: function onCanvasError(evt) {
      this.callSimpleEvent('error', evt);
    }
  }
};

exports.default = canvas;
