'use strict';

var mp = require('miniapp-render/dist/ali');

var _mp$$$adapter = mp.$$adapter,
    cache = _mp$$$adapter.cache,
    tool = _mp$$$adapter.tool;
/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/image.html
 */

var image = {
  PROPS: [{
    name: 'renderingMode',
    get: function get(domNode) {
      return domNode.getAttribute('rendering-mode') || '';
    }
  }, {
    name: 'src',
    get: function get(domNode) {
      var window = cache.getWindow(domNode.$$pageId);
      return domNode.src ? tool.completeURL(domNode.src, window.location.origin, true) : '';
    }
  }, {
    name: 'mode',
    get: function get(domNode) {
      return domNode.getAttribute('mode') || 'scaleToFill';
    }
  }, {
    name: 'lazyLoad',
    get: function get(domNode) {
      return !!domNode.getAttribute('lazy-load');
    }
  }, {
    name: 'showMenuByLongpress',
    get: function get(domNode) {
      return !!domNode.getAttribute('show-menu-by-longpress');
    }
  }],
  handles: {
    onImageLoad: function onImageLoad(evt) {
      this.callSimpleEvent('load', evt);
    },
    onImageError: function onImageError(evt) {
      this.callSimpleEvent('error', evt);
    }
  }
};

exports.default = image;
