'use strict';

var mp = require('miniapp-render/dist/wechat');

var _mp$$$adapter = mp.$$adapter,
    cache = _mp$$$adapter.cache,
    tool = _mp$$$adapter.tool;
/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/cover-image.html
 */

var coverImage = {
  PROPS: [{
    name: 'src',
    get: function get(domNode) {
      var window = cache.getWindow(domNode.$$pageId);
      return domNode.src ? tool.completeURL(domNode.src, window.location.origin, true) : '';
    }
  }],
  handles: {
    onCoverImageLoad: function onCoverImageLoad(evt) {
      this.callSimpleEvent('load', evt);
    },
    onCoverImageError: function onCoverImageError(evt) {
      this.callSimpleEvent('error', evt);
    }
  }
};

exports.default = coverImage;
