'use strict';

/**
 * https://developers.weixin.qq.com/miniprogram/dev/component/editor.html
 */
var editor = {
  PROPS: [{
    name: 'readOnly',
    get: function get(domNode) {
      return !!domNode.getAttribute('read-only');
    }
  }, {
    name: 'placeholder',
    get: function get(domNode) {
      return domNode.getAttribute('placeholder') || '';
    }
  }, {
    name: 'showImgSize',
    get: function get(domNode) {
      return !!domNode.getAttribute('show-img-size');
    }
  }, {
    name: 'showImgToolbar',
    get: function get(domNode) {
      return !!domNode.getAttribute('show-img-toolbar');
    }
  }, {
    name: 'showImgResize',
    get: function get(domNode) {
      return !!domNode.getAttribute('show-img-resize');
    }
  }],
  handles: {
    onEditorReady: function onEditorReady(evt) {
      this.callSimpleEvent('ready', evt);
    },
    onEditorFocus: function onEditorFocus(evt) {
      this.callSimpleEvent('focus', evt);
    },
    onEditorBlur: function onEditorBlur(evt) {
      this.callSimpleEvent('blur', evt);
    },
    onEditorInput: function onEditorInput(evt) {
      this.callSimpleEvent('input', evt);
    },
    onEditorStatusChange: function onEditorStatusChange(evt) {
      this.callSimpleEvent('statuschange', evt);
    }
  }
};

exports.default = editor;
